import Tag from './src/tag.vue';
export declare const LlTag: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly shape: import("ll-plus/es/utils").EpPropFinalized<() => "round" | "square" | "capsule" | "leaf", unknown, unknown, "square", boolean>;
    readonly icon: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").IconProps>, unknown, unknown, () => {
        iconName: string;
        color: any;
        size: any;
    }, boolean>;
    readonly iconDirection: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "left", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly shape: import("ll-plus/es/utils").EpPropFinalized<() => "round" | "square" | "capsule" | "leaf", unknown, unknown, "square", boolean>;
        readonly icon: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").IconProps>, unknown, unknown, () => {
            iconName: string;
            color: any;
            size: any;
        }, boolean>;
        readonly iconDirection: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "left", boolean>;
    }>> & Readonly<{}> & {}>;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    attrs: import("vue").Attrs;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly shape: import("ll-plus/es/utils").EpPropFinalized<() => "round" | "square" | "capsule" | "leaf", unknown, unknown, "square", boolean>;
    readonly icon: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").IconProps>, unknown, unknown, () => {
        iconName: string;
        color: any;
        size: any;
    }, boolean>;
    readonly iconDirection: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "left", boolean>;
}>> & Readonly<{}>, {
    readonly label: string;
    readonly icon: {
        readonly iconName?: string;
        readonly color?: string;
        readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
    };
    readonly shape: import("ll-plus/es/utils").EpPropMergeType<() => "round" | "square" | "capsule" | "leaf", unknown, unknown>;
    readonly iconDirection: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export default LlTag;
export * from './src/tag';
declare module 'vue' {
    interface GlobalComponents {
        LlTag: typeof Tag;
    }
}
